use dta\panel.dta, clear

keep if round==2

binscatter change_turnout lag_margin, graphregion(fcolor(white)) scheme(s1mono) mcolors(black) msymbol(Oh) lcolor(gs6) ///
ytitle(Turnout Second Round - Turnout First Round) xtitle(First-Round Margin) controls(d_1912 d_1915 d_1918) linetype(qfit) reportreg plotregion(style(none))
graph export figures/Figure3.tif, replace
graph export figures/Figure3.eps, replace
