use dta\KDB1909_55655 , clear

gen knr=v1
gen casted_r1=v9
gen casted_r2=v11
gen valid_r1=v17
gen valid_r2=v18
gen eligible_r1=v3
gen eligible_r2=v5

drop if valid_r2==0 /* no second round */
drop v1-v40

gen turnout_r1=valid_r1/eligible_r1
gen invalid_r1=(casted_r1-valid_r1)/eligible_r1

gen turnout_r2=valid_r2/eligible_r1
gen invalid_r2=(casted_r2-valid_r2)/eligible_r1

gen ch_invalid=invalid_r2-invalid_r1
gen ch_turnout=turnout_r2-turnout_r1

gen year=1909
sort year knr
save "dta\invalid1909.dta", replace


use "dta\KDB1912_55654" ,clear

gen knr=v1
gen casted_r1=v9
gen casted_r2=v11
gen valid_r1=v17
gen valid_r2=v18
gen eligible_r1=v3
gen eligible_r2=v5

drop if valid_r2==0 /* no second round */
drop v1-v40

gen turnout_r1=valid_r1/eligible_r1
gen invalid_r1=(casted_r1-valid_r1)/eligible_r1

gen turnout_r2=valid_r2/eligible_r1
gen invalid_r2=(casted_r2-valid_r2)/eligible_r1

gen ch_invalid=invalid_r2-invalid_r1
gen ch_turnout=turnout_r2-turnout_r1

gen year=1912
sort year knr
save "dta\invalid1912.dta" , replace



use dta\KDB1915_55657.DTA , clear

gen knr=v1
gen casted_r1=v11
gen casted_r2=v13
gen valid_r1=v19
gen valid_r2=v20
gen eligible_r1=v3
gen eligible_r2=v5

drop if valid_r2==0 /* no second round */
drop v1-v44

gen turnout_r1=valid_r1/eligible_r1
gen invalid_r1=(casted_r1-valid_r1)/eligible_r1

gen turnout_r2=valid_r2/eligible_r1
gen invalid_r2=(casted_r2-valid_r2)/eligible_r1

gen ch_invalid=invalid_r2-invalid_r1
gen ch_turnout=turnout_r2-turnout_r1

gen year=1915
sort year knr
save "dta\invalid1915.dta", replace



use dta\KDB1918_55644.DTA , clear

gen knr=v1
gen casted_r1=v9
gen casted_r2=v11
gen valid_r1=v19
gen valid_r2=v20
gen eligible_r1=v3
gen eligible_r2=v5

drop if valid_r2==0 /* no second round */
drop v1-v44

gen turnout_r1=valid_r1/eligible_r1
gen invalid_r1=(casted_r1-valid_r1)/eligible_r1

gen turnout_r2=valid_r2/eligible_r1
gen invalid_r2=(casted_r2-valid_r2)/eligible_r1

gen ch_invalid=invalid_r2-invalid_r1
gen ch_turnout=turnout_r2-turnout_r1

gen year=1918
sort year knr
save "dta\invalid1918.dta", replace


