use dta/SMD_Candidate_all_2, clear

drop if OneMunicipalityDistrict==1
drop if valgkrets==1503 & year==1909  

drop _merge
sort valgkrets year
merge valgkrets year using dta/InSample2

sum margin if round==1 & rank==1 & InSample==1
hist margin if round==1 & rank==1 & InSample==1, width(0.01) start(0.00) freq bfcolor(gs10) blcolor(gs6) ///
graphregion(fcolor(white)) scheme(s1mono) xlabel(0(0.05)0.35) xtitle(Margin) plotregion(style(none))
graph export figures/FigureA5.tif, replace
graph export figures/FigureA5.eps, replace
